## shmsrc shmsrc |

## Properties

gboolean | is-live | Read / Write
gchar * | socket-path | Read / Write
gchar * | shm-area-name | Read

## Types and Values

struct | GstShmSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstShmSrc

## Description

Receive data from the shared memory sink.

#### Example launch lines

    1
    2
    3
    4
    gst-launch-1.0 shmsrc socket-path=/tmp/blah ! \
    "video/x-raw, format=YUY2, color-matrix=sdtv, \
    chroma-site=mpeg2, width=(int)320, height=(int)240, framerate=(fraction)30/1" \
    ! queue ! videoconvert ! autovideosink

Render video from shm buffers.

## Synopsis

### Element Information

plugin | shm
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Source

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstShmSrc

    struct GstShmSrc;

## Property Details

### The `“is-live”` property

      “is-live”                  gboolean

True if the element cannot produce data in PAUSED.

Flags: Read / Write

Default value: FALSE

### The `“socket-path”` property

      “socket-path”              gchar *

The path to the control socket used to control the shared memory.

Flags: Read / Write

Default value: NULL

### The `“shm-area-name”` property

      “shm-area-name”            gchar *

The name of the shared memory area used to get buffers.

Flags: Read

Default value: NULL